macroScript skinConverter
category:"KFScripts" 
toolTip:"Skin Converter 1.00" 
buttonText:"Skin Converter 1.00"
-----------------------------
---v1.00 of Skin Converter---
---Written by Kiel Figgins---
------www.3dfiggins.com------
-----------------------------
--Automated interface to convert skin wrap to skin to reduce crashing
--Additional settings included such as joint influences, view envelopes and more
--------------------
--Version History
--------------------
-----
--1.00 (10-12-2006) - Original Script
--------------------
--Coming Soon
--------------------
--

(
try(destroydialog skinConverter)catch()
rollout skinConverter "SkinWrap v1"
(
label 	lbl001 "1. Select Object"
button	btnConvert "2. Convert Skin"

on btnConvert pressed do
(
	--make sure only one object is select
	selCount = selection.count
	if selCount == 1 then
		(
			--go to Modify panel
			setCommandPanelTaskMode #modify
			
			try(
				$.showFrozenInGray = off
				$.backFaceCull = off
				$.modifiers[#Skin_Wrap].meshDeformOps.convertToSkin off
				modPanel.setCurrentObject $.modifiers[#Skin_Wrap]
				deleteModifier $ 2
				$.modifiers[#Skin].filter_vertices = on
				$.modifiers[#Skin].showNoEnvelopes = on
				$.modifiers[#Skin].bone_Limit = 3
			) catch(print "Error: Skin Wrap modifier not found")
		)
		else
		(print "Please Select 1 (one) object")
)--End of btnConvert
)--End of Rollout
createDialog skinConverter width:100 height:50 pos:[1200,80] \
style:#(#style_border, #style_titlebar, #style_sysmenu, #style_minimizebox)
try(cui.RegisterDialogBar skinConverter maxsize:[100,50]) catch()

)--End of Script
